
/*
 * SPDX-FileCopyrightText: syuilo and misskey-project
 * SPDX-License-Identifier: AGPL-3.0-only
 */

// This file was automatically generated by create-search-index.
// Do not edit this file.

import { i18n } from '@/i18n.js';

export type SearchIndexItem = {
	id: string;
	path?: string;
	label: string;
	keywords: string[];
	icon?: string;
	children?: SearchIndexItem[];
};

export const searchIndexes: SearchIndexItem[] = [
	{
		id: 'flXd1LC7r',
		children: [
			{
				id: 'hB11H5oul',
				label: i18n.ts.syncDeviceDarkMode,
				keywords: ['sync', 'device', 'dark', 'light', 'mode'],
			},
			{
				id: 'fDbLtIKeo',
				label: i18n.ts.themeForLightMode,
				keywords: ['light', 'theme'],
			},
			{
				id: 'eLOwK5Ia2',
				label: i18n.ts.themeForDarkMode,
				keywords: ['dark', 'theme'],
			},
			{
				id: 'ujvMfyzUr',
				label: i18n.ts.setWallpaper,
				keywords: ['wallpaper'],
			},
		],
		label: i18n.ts.theme,
		keywords: ['theme'],
		path: '/settings/theme',
		icon: 'ti ti-palette',
	},
	{
		id: '6fFIRXUww',
		children: [
			{
				id: 'nO7NnzqiC',
				label: i18n.ts.notUseSound,
				keywords: ['mute'],
			},
			{
				id: 'xy5OOBB4A',
				label: i18n.ts.useSoundOnlyWhenActive,
				keywords: ['active', 'mute'],
			},
			{
				id: '9MxYVIf7k',
				label: i18n.ts.masterVolume,
				keywords: ['volume', 'master'],
			},
		],
		label: i18n.ts.sounds,
		keywords: ['sounds'],
		path: '/settings/sounds',
		icon: 'ti ti-music',
	},
	{
		id: '5BjnxMfYV',
		children: [
			{
				id: '3UqdSCaFw',
				children: [
					{
						id: '75QPEg57v',
						label: i18n.ts.changePassword,
						keywords: [],
					},
				],
				label: i18n.ts.password,
				keywords: ['password'],
			},
			{
				id: '2fa',
				children: [
					{
						id: 'qCXM0HtJ7',
						label: i18n.ts.totp,
						keywords: ['totp', 'app', i18n.ts.totpDescription],
					},
					{
						id: '3g1RePuD9',
						label: i18n.ts.securityKeyAndPasskey,
						keywords: ['security', 'key', 'passkey'],
					},
					{
						id: 'pFRud5u8k',
						label: i18n.ts.passwordLessLogin,
						keywords: ['password', 'less', 'key', 'passkey', 'login', 'signin', i18n.ts.passwordLessLoginDescription],
					},
				],
				label: i18n.ts['2fa'],
				keywords: ['2fa'],
			},
		],
		label: i18n.ts.security,
		keywords: ['security'],
		path: '/settings/security',
		icon: 'ti ti-lock',
	},
	{
		id: 'w4L6myH61',
		children: [
			{
				id: 'ru8DrOn3J',
				label: i18n.ts._profile.changeBanner,
				keywords: ['banner', 'change'],
			},
			{
				id: 'CCnD8Apnu',
				label: i18n.ts._profile.changeAvatar,
				keywords: ['avatar', 'icon', 'change'],
			},
			{
				id: 'yFEVCJxFX',
				label: i18n.ts._profile.name,
				keywords: ['name'],
			},
			{
				id: '2O1S5reaB',
				label: i18n.ts._profile.description,
				keywords: ['description', 'bio'],
			},
			{
				id: 'pWi4OLS8g',
				label: i18n.ts.location,
				keywords: ['location', 'locale'],
			},
			{
				id: 'oLO5X6Wtw',
				label: i18n.ts.birthday,
				keywords: ['birthday', 'birthdate', 'age'],
			},
			{
				id: 'm2trKwPgq',
				label: i18n.ts.language,
				keywords: ['language', 'locale'],
			},
			{
				id: 'kfDZxCDp9',
				label: i18n.ts._profile.metadataEdit,
				keywords: ['metadata'],
			},
			{
				id: 'uPt3MFymp',
				label: i18n.ts._profile.followedMessage,
				keywords: ['follow', 'message', i18n.ts._profile.followedMessageDescription],
			},
			{
				id: 'wuGg0tBjw',
				label: i18n.ts.reactionAcceptance,
				keywords: ['reaction'],
			},
			{
				id: 'EezPpmMnf',
				children: [
					{
						id: 'f2cRLh8ad',
						label: i18n.ts.flagAsCat,
						keywords: ['cat'],
					},
					{
						id: 'eVoViiF3h',
						label: i18n.ts.flagAsBot,
						keywords: ['bot'],
					},
				],
				label: i18n.ts.advancedSettings,
				keywords: [],
			},
		],
		label: i18n.ts.profile,
		keywords: ['profile'],
		path: '/settings/profile',
		icon: 'ti ti-user',
	},
	{
		id: '2rp9ka5Ht',
		children: [
			{
				id: 'qBUSKPxLW',
				label: i18n.ts.makeFollowManuallyApprove,
				keywords: ['follow', 'lock', i18n.ts.lockedAccountInfo],
			},
			{
				id: '3LZBlZCej',
				label: i18n.ts.autoAcceptFollowed,
				keywords: ['follow', 'auto', 'accept'],
			},
			{
				id: '9gOp28wKG',
				label: i18n.ts.makeReactionsPublic,
				keywords: ['reaction', 'public', i18n.ts.makeReactionsPublicDescription],
			},
			{
				id: 'CjAkqMhct',
				label: i18n.ts.followingVisibility,
				keywords: ['following', 'visibility'],
			},
			{
				id: '4nEwI6LYt',
				label: i18n.ts.followersVisibility,
				keywords: ['follower', 'visibility'],
			},
			{
				id: 'naMp37wTL',
				label: i18n.ts.hideOnlineStatus,
				keywords: ['online', 'status', i18n.ts.hideOnlineStatusDescription],
			},
			{
				id: 'p0dCVR0UP',
				label: i18n.ts.noCrawle,
				keywords: ['crawle', 'index', 'search', i18n.ts.noCrawleDescription],
			},
			{
				id: 'aceURmNPq',
				label: i18n.ts.preventAiLearning,
				keywords: ['crawle', 'ai', i18n.ts.preventAiLearningDescription],
			},
			{
				id: 'ahABA0j7u',
				label: i18n.ts.makeExplorable,
				keywords: ['explore', i18n.ts.makeExplorableDescription],
			},
			{
				id: 'cyeDbLN8N',
				children: [
					{
						id: 'xEYlOghao',
						label: i18n.ts._accountSettings.requireSigninToViewContents,
						keywords: ['login', 'signin'],
					},
					{
						id: 'sMmYFCS60',
						label: i18n.ts._accountSettings.makeNotesFollowersOnlyBefore,
						keywords: ['follower', i18n.ts._accountSettings.makeNotesFollowersOnlyBeforeDescription],
					},
					{
						id: '2prkeWRSd',
						label: i18n.ts._accountSettings.makeNotesHiddenBefore,
						keywords: ['hidden', i18n.ts._accountSettings.makeNotesHiddenBeforeDescription],
					},
				],
				label: i18n.ts.lockdown,
				keywords: ['lockdown'],
			},
			{
				id: '37QLEyrtk',
				label: i18n.ts.rememberNoteVisibility,
				keywords: ['remember', 'keep', 'note', 'visibility'],
			},
			{
				id: 'rhKwScbVS',
				label: i18n.ts.defaultNoteVisibility,
				keywords: ['default', 'note', 'visibility'],
			},
			{
				id: '3EmXVyevo',
				label: i18n.ts.keepCw,
				keywords: ['remember', 'keep', 'note', 'cw'],
			},
		],
		label: i18n.ts.privacy,
		keywords: ['privacy'],
		path: '/settings/privacy',
		icon: 'ti ti-lock-open',
	},
	{
		id: '3yCAv0IsZ',
		children: [
			{
				id: 'x1GWSQnPw',
				label: i18n.ts.uiLanguage,
				keywords: ['language'],
			},
			{
				id: 'EOSa4rtt3',
				label: i18n.ts.overridedDeviceKind,
				keywords: ['device', 'type', 'kind', 'smartphone', 'tablet', 'desktop'],
			},
			{
				id: 'm9LhX8BG8',
				label: i18n.ts.showFixedPostForm,
				keywords: ['post', 'form', 'timeline'],
			},
			{
				id: '9ra14w32V',
				label: i18n.ts.showFixedPostFormInChannel,
				keywords: ['post', 'form', 'timeline', 'channel'],
			},
			{
				id: '84MdeDWL1',
				label: i18n.ts.pinnedList,
				keywords: ['pinned', 'list'],
			},
			{
				id: 'fYdWhBbrN',
				label: i18n.ts.enableQuickAddMfmFunction,
				keywords: ['mfm', 'enable', 'show', 'advanced', 'picker', 'form', 'function', 'fn'],
			},
			{
				id: '4huRldNp5',
				children: [
					{
						id: 'puIqj1a8b',
						label: i18n.ts.collapseRenotes,
						keywords: ['renote', i18n.ts.collapseRenotesDescription],
					},
					{
						id: 'wqpOC22Zm',
						label: i18n.ts.showNoteActionsOnlyHover,
						keywords: ['hover', 'show', 'footer', 'action'],
					},
					{
						id: 'cjfAtxMzP',
						label: i18n.ts.showClipButtonInNoteFooter,
						keywords: ['footer', 'action', 'clip', 'show'],
					},
					{
						id: 'khzxoCjtp',
						label: i18n.ts.enableAdvancedMfm,
						keywords: ['mfm', 'enable', 'show', 'advanced'],
					},
					{
						id: 'uJkoVjTmF',
						label: i18n.ts.showReactionsCount,
						keywords: ['reaction', 'count', 'show'],
					},
					{
						id: '9gTCaLkIf',
						label: i18n.ts.loadRawImages,
						keywords: ['image', 'photo', 'picture', 'media', 'thumbnail', 'quality', 'raw', 'attachment'],
					},
				],
				label: i18n.ts.note,
				keywords: ['note'],
			},
			{
				id: '5G6O6qdis',
				children: [
					{
						id: 'sYTvqUbhP',
						label: i18n.ts.useGroupedNotifications,
						keywords: ['group'],
					},
				],
				label: i18n.ts.notifications,
				keywords: ['notification'],
			},
			{
				id: 'c3xhLyXZ5',
				children: [
					{
						id: 'FbhoeuRAD',
						label: i18n.ts.openImageInNewTab,
						keywords: ['image', 'photo', 'picture', 'media', 'thumbnail', 'new', 'tab'],
					},
					{
						id: 'qixh85g2N',
						label: i18n.ts.useReactionPickerForContextMenu,
						keywords: ['reaction', 'picker', 'contextmenu', 'open'],
					},
					{
						id: 'd2H4E5ys6',
						label: i18n.ts.enableInfiniteScroll,
						keywords: ['load', 'auto', 'more'],
					},
					{
						id: 'jC7LtTnmc',
						label: i18n.ts.disableStreamingTimeline,
						keywords: ['disable', 'streaming', 'timeline'],
					},
					{
						id: '8xazEqlgZ',
						label: i18n.ts.alwaysConfirmFollow,
						keywords: ['follow', 'confirm', 'always'],
					},
					{
						id: 'wZqrDQZar',
						label: i18n.ts.confirmWhenRevealingSensitiveMedia,
						keywords: ['sensitive', 'nsfw', 'media', 'image', 'photo', 'picture', 'attachment', 'confirm'],
					},
					{
						id: '5QTUzrpT3',
						label: i18n.ts.confirmOnReact,
						keywords: ['reaction', 'confirm'],
					},
					{
						id: 'nygexkaUk',
						label: i18n.ts.whenServerDisconnected,
						keywords: ['server', 'disconnect', 'reconnect', 'reload', 'streaming'],
					},
					{
						id: 'whKYKvaQB',
						label: i18n.ts.numberOfPageCache,
						keywords: ['cache', 'page'],
					},
					{
						id: 'lBbtAg0Hm',
						label: i18n.ts.dataSaver,
						keywords: ['datasaver'],
					},
				],
				label: i18n.ts.behavior,
				keywords: ['behavior'],
			},
			{
				id: 'y2v7CV9zs',
				children: [
					{
						id: 'k1qTdyfzM',
						label: i18n.ts.forceShowAds,
						keywords: ['ad', 'show'],
					},
					{
						id: 'e9As4Us48',
						label: i18n.ts.hemisphere,
						keywords: [],
					},
					{
						id: 'zvM13vl26',
						label: i18n.ts.additionalEmojiDictionary,
						keywords: ['emoji', 'dictionary', 'additional', 'extra'],
					},
				],
				label: i18n.ts.other,
				keywords: [],
			},
		],
		label: i18n.ts.preferences,
		keywords: ['general', 'preferences'],
		path: '/settings/preferences',
		icon: 'ti ti-adjustments',
	},
	{
		id: 'F1uK9ssiY',
		children: [
			{
				id: 'msAcN6u3S',
				label: i18n.ts.accountInfo,
				keywords: ['account', 'info'],
			},
			{
				id: 'ts8DgdnZV',
				label: i18n.ts.accountMigration,
				keywords: ['account', 'move', 'migration'],
			},
			{
				id: '4BG7nBECm',
				label: i18n.ts.closeAccount,
				keywords: ['account', 'close', 'delete', i18n.ts._accountDelete.requestAccountDelete],
			},
			{
				id: '2qI6ruPgi',
				label: i18n.ts.experimentalFeatures,
				keywords: ['experimental', 'feature', 'flags'],
			},
			{
				id: 'cIeaax47o',
				label: i18n.ts.developer,
				keywords: ['developer', 'mode', 'debug'],
			},
		],
		label: i18n.ts.other,
		keywords: ['other'],
		path: '/settings/other',
		icon: 'ti ti-dots',
	},
	{
		id: '3icEvyv2D',
		children: [
			{
				id: 'Tyt3gZTy',
				children: [
					{
						id: '9b7ZURyAt',
						label: i18n.ts.showMutedWord,
						keywords: ['show'],
					},
				],
				label: i18n.ts.wordMute,
				keywords: ['note', 'word', 'soft', 'mute', 'hide'],
			},
			{
				id: 'kdMk41II0',
				label: i18n.ts.hardWordMute,
				keywords: ['note', 'word', 'hard', 'mute', 'hide'],
			},
			{
				id: 'mjORQamAK',
				label: i18n.ts.instanceMute,
				keywords: ['note', 'server', 'instance', 'host', 'federation', 'mute', 'hide'],
			},
			{
				id: '1ZT7S9FZd',
				label: `${i18n.ts.mutedUsers} (${ i18n.ts.renote })`,
				keywords: ['renote', 'mute', 'hide', 'user'],
			},
			{
				id: 'ANrPit3kQ',
				label: i18n.ts.mutedUsers,
				keywords: ['note', 'mute', 'hide', 'user'],
			},
			{
				id: 'bPAE4lfno',
				label: i18n.ts.blockedUsers,
				keywords: ['block', 'user'],
			},
		],
		label: i18n.ts.muteAndBlock,
		keywords: ['mute', 'block'],
		path: '/settings/mute-block',
		icon: 'ti ti-ban',
	},
	{
		id: 'qE2vLlMkF',
		children: [
			{
				id: 'hPPEzjvZC',
				label: i18n.ts._exportOrImport.allNotes,
				keywords: ['notes'],
			},
			{
				id: 'AFaeHsCUB',
				label: i18n.ts._exportOrImport.favoritedNotes,
				keywords: ['favorite', 'notes'],
			},
			{
				id: 'xyCPmQiRo',
				label: i18n.ts._exportOrImport.clips,
				keywords: ['clip', 'notes'],
			},
			{
				id: 'Ch7hWAGUy',
				label: i18n.ts._exportOrImport.followingList,
				keywords: ['following', 'users'],
			},
			{
				id: 'AwPgFboEx',
				label: i18n.ts._exportOrImport.userLists,
				keywords: ['user', 'lists'],
			},
			{
				id: 'nporiHshC',
				label: i18n.ts._exportOrImport.muteList,
				keywords: ['mute', 'users'],
			},
			{
				id: 'BsCzR7vNw',
				label: i18n.ts._exportOrImport.blockingList,
				keywords: ['block', 'users'],
			},
			{
				id: 'dvf4IgYrQ',
				label: i18n.ts.antennas,
				keywords: ['antennas'],
			},
		],
		label: i18n.ts.importAndExport,
		keywords: ['import', 'export', 'data'],
		path: '/settings/import-export',
		icon: 'ti ti-package',
	},
	{
		id: '3Tcxw4Fwl',
		children: [
			{
				id: 'iIai9O65I',
				label: i18n.ts.emailAddress,
				keywords: ['email', 'address'],
			},
			{
				id: 'i6cC6oi0m',
				label: i18n.ts.receiveAnnouncementFromInstance,
				keywords: ['announcement', 'email'],
			},
			{
				id: 'C1YTinP11',
				label: i18n.ts.emailNotification,
				keywords: ['notification', 'email'],
			},
		],
		label: i18n.ts.email,
		keywords: ['email'],
		path: '/settings/email',
		icon: 'ti ti-mail',
	},
	{
		id: 'tnYoppRiv',
		children: [
			{
				id: 'ncIq6TAR2',
				label: i18n.ts.usageAmount,
				keywords: ['capacity', 'usage'],
			},
			{
				id: '2c4CQSvSr',
				label: i18n.ts.statistics,
				keywords: ['statistics', 'usage'],
			},
			{
				id: 'pepHELHMt',
				label: i18n.ts.uploadFolder,
				keywords: ['default', 'upload', 'folder'],
			},
			{
				id: 'xqOWrABxV',
				label: i18n.ts.keepOriginalUploading,
				keywords: ['keep', 'original', 'raw', 'upload', i18n.ts.keepOriginalUploadingDescription],
			},
			{
				id: 'oqUiI5w0s',
				label: i18n.ts.keepOriginalFilename,
				keywords: ['keep', 'original', 'filename', i18n.ts.keepOriginalFilenameDescription],
			},
			{
				id: 'Aszkikq9n',
				label: i18n.ts.alwaysMarkSensitive,
				keywords: ['always', 'default', 'mark', 'nsfw', 'sensitive', 'media', 'file'],
			},
			{
				id: 'iGlVjsfVj',
				label: i18n.ts.enableAutoSensitive,
				keywords: ['auto', 'nsfw', 'sensitive', 'media', 'file', i18n.ts.enableAutoSensitiveDescription],
			},
		],
		label: i18n.ts.drive,
		keywords: ['drive'],
		path: '/settings/drive',
		icon: 'ti ti-cloud',
	},
	{
		id: 'gtaOSdIJB',
		label: i18n.ts.avatarDecorations,
		keywords: ['avatar', 'icon', 'decoration'],
		path: '/settings/avatar-decoration',
		icon: 'ti ti-sparkles',
	},
	{
		id: 'AqPvMgn3A',
		children: [
			{
				id: 'j5gTtuMWP',
				label: i18n.ts.useBlurEffect,
				keywords: ['blur'],
			},
			{
				id: 'vbZvyLDC1',
				label: i18n.ts.useBlurEffectForModal,
				keywords: ['blur', 'modal'],
			},
			{
				id: '6fLNMTwNt',
				label: i18n.ts.highlightSensitiveMedia,
				keywords: ['highlight', 'sensitive', 'nsfw', 'image', 'photo', 'picture', 'media', 'thumbnail'],
			},
			{
				id: 'hhvF8Z4pF',
				label: i18n.ts.squareAvatars,
				keywords: ['avatar', 'icon', 'square'],
			},
			{
				id: 'DsS2CwjYE',
				label: i18n.ts.showAvatarDecorations,
				keywords: ['avatar', 'icon', 'decoration', 'show'],
			},
			{
				id: 'pWZ0ypy2g',
				label: i18n.ts.showGapBetweenNotesInTimeline,
				keywords: ['note', 'timeline', 'gap'],
			},
			{
				id: 'AfRMcC6IM',
				label: i18n.ts.useSystemFont,
				keywords: ['font', 'system', 'native'],
			},
			{
				id: 'jD0qbxlzN',
				label: i18n.ts.seasonalScreenEffect,
				keywords: ['effect', 'show'],
			},
			{
				id: 'EdYo3hOK',
				label: i18n.ts.menuStyle,
				keywords: ['menu', 'style', 'popup', 'drawer'],
			},
			{
				id: '9mSlX0EkD',
				label: i18n.ts.emojiStyle,
				keywords: ['emoji', 'style', 'native', 'system', 'fluent', 'twemoji'],
			},
			{
				id: '44UmMwmUe',
				label: i18n.ts.fontSize,
				keywords: ['font', 'size'],
			},
			{
				id: 'vFB0pLzck',
				children: [
					{
						id: 'pc7IpPEU4',
						label: i18n.ts.reactionsDisplaySize,
						keywords: ['reaction', 'size', 'scale', 'display'],
					},
					{
						id: 'siOW5aSwp',
						label: i18n.ts.limitWidthOfReaction,
						keywords: ['reaction', 'size', 'scale', 'display', 'width', 'limit'],
					},
					{
						id: 'dDUvhk13F',
						label: i18n.ts.mediaListWithOneImageAppearance,
						keywords: ['attachment', 'image', 'photo', 'picture', 'media', 'thumbnail', 'list', 'size', 'height'],
					},
					{
						id: 'CLxNL1Rp0',
						label: i18n.ts.instanceTicker,
						keywords: ['ticker', 'information', 'label', 'instance', 'server', 'host', 'federation'],
					},
					{
						id: 'dP2KWDYzD',
						label: i18n.ts.displayOfSensitiveMedia,
						keywords: ['attachment', 'image', 'photo', 'picture', 'media', 'thumbnail', 'nsfw', 'sensitive', 'display', 'show', 'hide', 'visibility'],
					},
				],
				label: i18n.ts.displayOfNote,
				keywords: ['note', 'display'],
			},
			{
				id: 'dVOzi22IW',
				children: [
					{
						id: 'aoF4ufUwn',
						label: i18n.ts.position,
						keywords: ['position'],
					},
					{
						id: 'sKK2XSS69',
						label: i18n.ts.stackAxis,
						keywords: ['stack', 'axis', 'direction'],
					},
				],
				label: i18n.ts.notificationDisplay,
				keywords: ['notification', 'display'],
			},
		],
		label: i18n.ts.appearance,
		keywords: ['appearance'],
		path: '/settings/appearance',
		icon: 'ti ti-device-desktop',
	},
	{
		id: 'f08Mi1Uwn',
		children: [
			{
				id: '7ov7ceoij',
				label: i18n.ts.reduceUiAnimation,
				keywords: ['animation', 'motion', 'reduce'],
			},
			{
				id: 'RhYwm8At',
				label: i18n.ts.disableShowingAnimatedImages,
				keywords: ['disable', 'animation', 'image', 'photo', 'picture', 'media', 'thumbnail', 'gif'],
			},
			{
				id: '5mZxz2cru',
				label: i18n.ts.enableAnimatedMfm,
				keywords: ['mfm', 'enable', 'show', 'animated'],
			},
			{
				id: 'bgjamYEis',
				label: i18n.ts.enableHorizontalSwipe,
				keywords: ['swipe', 'horizontal', 'tab'],
			},
			{
				id: 'yPEpJigqY',
				label: i18n.ts.keepScreenOn,
				keywords: ['keep', 'screen', 'display', 'on'],
			},
			{
				id: 'oxwiGKMu0',
				label: i18n.ts.useNativeUIForVideoAudioPlayer,
				keywords: ['native', 'system', 'video', 'audio', 'player', 'media'],
			},
			{
				id: 'n90tffyiU',
				label: i18n.ts._contextMenu.title,
				keywords: ['contextmenu', 'system', 'native'],
			},
		],
		label: i18n.ts.accessibility,
		keywords: ['accessibility'],
		path: '/settings/accessibility',
		icon: 'ti ti-accessible',
	},
] as const;

export type SearchIndex = typeof searchIndexes;
